Name:           ocaml-cmdliner
Version:        1.0.4
Release:        %mkrel 4
Summary:        Declarative definition of command line interfaces
License:        ISC
Group:          Development/OCaml
URL:            https://github.com/dbuenzli/cmdliner/
Source0:        https://github.com/dbuenzli/cmdliner/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-result-devel

%description
Cmdliner is an OCaml module for the declarative definition of command line
interfaces.

It provides a simple and compositional mechanism to convert command line
arguments to OCaml values and pass them to your functions. The module
automatically handles syntax errors, help messages and UNIX man page
generation. It supports programs with single or multiple commands (like
darcs or git) and respects most of the POSIX and GNU conventions.

Cmdliner has no dependencies and is distributed under
the ISC license.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n cmdliner-%{version}

# The makefile requires some cleanup to put things in correct place.
sed 's,/lib/,/%{_lib}/,g' -i Makefile

# require debug info
echo $'\ntrue: debug' >> _tags

%build
%make_build build-byte
%ifarch %{ocaml_native_compiler}
%make_build build-native
%endif

%ifarch %{ocaml_natdynlink}
%make_build build-native-dynlink
%endif

%install
%make_install install-common
%make_install install-byte
%ifarch %{ocaml_native_compiler}
%make_install install-native
%endif

%ifarch %{ocaml_natdynlink}
%make_install install-native-dynlink
%endif

# Fix some spurious executable perms?
chmod -x %{buildroot}%{_libdir}/ocaml/cmdliner/*.cmx
chmod -x %{buildroot}%{_libdir}/ocaml/cmdliner/*.cmxa
chmod -x %{buildroot}%{_libdir}/ocaml/cmdliner/*.mli
chmod -x %{buildroot}%{_libdir}/ocaml/cmdliner/*.a
chmod -x %{buildroot}%{_libdir}/ocaml/cmdliner/META
chmod -x %{buildroot}%{_libdir}/ocaml/cmdliner/opam

%files
%doc CHANGES.md
%doc README.md
%license LICENSE.md
%dir %{_libdir}/ocaml/cmdliner
%{_libdir}/ocaml/cmdliner/META
%{_libdir}/ocaml/cmdliner/opam
%{_libdir}/ocaml/cmdliner/*.cma
%{_libdir}/ocaml/cmdliner/*.cmi
%{_libdir}/ocaml/cmdliner/*.cmxs

%files devel
%doc doc/
%doc test/
%{_libdir}/ocaml/cmdliner/*.a
%{_libdir}/ocaml/cmdliner/*.cmti
%{_libdir}/ocaml/cmdliner/*.cmxa
%{_libdir}/ocaml/cmdliner/*.cmx
%{_libdir}/ocaml/cmdliner/*.mli


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.0.4-4.mga8
+ Revision: 1670437
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1551582
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.0.4-2.mga8
+ Revision: 1543643
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 1.0.4-1.mga8
+ Revision: 1482001
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1.0.2-3.mga7
+ Revision: 1324393
- Rebuild for ocaml 4.07.1

* Wed Aug 29 2018 daviddavid <daviddavid> 1.0.2-2.mga7
+ Revision: 1255383
- rebuild for new ocaml-result 1.3

* Fri Mar 23 2018 daviddavid <daviddavid> 1.0.2-1.mga7
+ Revision: 1211586
- new version: 1.0.2

* Mon Jan 22 2018 tv <tv> 0.9.8-4.mga7
+ Revision: 1196165
- BR ocaml-ocamlbuild
- fix build
- rebuild for new ocaml

* Fri Oct 06 2017 daviddavid <daviddavid> 0.9.8-3.mga7
+ Revision: 1169666
- reenable debug package with the proper fix

* Thu Oct 05 2017 daviddavid <daviddavid> 0.9.8-2.mga7
+ Revision: 1169190
- disable debug package

* Mon Feb 08 2016 pterjan <pterjan> 0.9.8-1.mga6
+ Revision: 950463
- Update to 0.9.8

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-11.mga5
+ Revision: 741518
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-10.mga5
+ Revision: 683006
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.3-9.mga4
+ Revision: 534326
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 blue_prawn <blue_prawn> 0.9.3-8.mga4
+ Revision: 477322
- rebuild for ocaml-4.01.0

* Sun Sep 08 2013 blue_prawn <blue_prawn> 0.9.3-7.mga4
+ Revision: 475839
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-6.mga3
+ Revision: 361209
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 malo <malo> 0.9.3-5.mga3
+ Revision: 341169
- new version 0.9.3

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.2-4.mga3
+ Revision: 301083
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.9.2-3.mga3
+ Revision: 300053
- new rpm group for ocaml

* Sun Sep 09 2012 blue_prawn <blue_prawn> 0.9.2-2.mga3
+ Revision: 291468
- put back one of the two patch of the previous version that was not included upstream

* Sun Sep 09 2012 blue_prawn <blue_prawn> 0.9.2-1.mga3
+ Revision: 291439
- updated to last version 0.9.2
- removed patches that where included upstream

* Mon Apr 16 2012 blue_prawn <blue_prawn> 0.9.1-2.mga2
+ Revision: 231093
- fixed how to invoke groff, thanks to Daniel Buenzli

* Sat Apr 07 2012 blue_prawn <blue_prawn> 0.9.1-1.mga2
+ Revision: 229421
- imported package ocaml-cmdliner

